imports:
    - { resource: parameters.yml }
    - { resource: security.yml }
    - { resource: services.yml }
    - { resource: "@GoldenBeesDashboardBundle/Resources/config/services.yml" }
    - { resource: "@UserBundle/Resources/config/services.yml" }
    - { resource: "@AtsBundle/Resources/config/services.yml" }

# Put parameters here that don't need to change on each machine where the app is deployed
# http://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
parameters:
    locale: en

framework:
    #esi:             ~
    translator:      { fallbacks: ["%locale%"] }
    secret:          "%secret%"
    router:
        resource: "%kernel.root_dir%/config/routing.yml"
        strict_requirements: ~
    form:            ~
    csrf_protection: ~
    validation:      { enable_annotations: true }
    #serializer:      { enable_annotations: true }
    templating:
        engines: ['twig']
    default_locale:  "%locale%"
    trusted_hosts:   ~
    session:
        # http://symfony.com/doc/current/reference/configuration/framework.html#handler-id
        handler_id:  session.handler.native_file
        save_path:   "%kernel.root_dir%/../var/sessions/%kernel.environment%"
    fragments:       ~
    http_method_override: true
    assets: ~

# Twig Configuration
twig:
    debug:            "%kernel.debug%"
    strict_variables: "%kernel.debug%"

# Doctrine Configuration
doctrine:
    dbal:
        default_connection: main
        connections:
            main:
                driver:   pdo_mysql
                host:     "%database_host%"
                port:     "%database_port%"
                dbname:   "%database_name%"
                user:     "%database_user%"
                password: "%database_password%"
                charset:  UTF8
#                schema_filter: ~^(?!gb_geo)(?=(?!tmp_))(?!weeks)(?!job)(?!daf_check)(?!daf_instance)(?!tdaf)(?!#Tableau)(?!job_category_v2)(?!gb_gtag)~
            slave:
                wrapper_class: GoldenBees\DashboardBundle\Services\SlaveConnectionWrapper
                driver:   pdo_mysql
                port:     "%database_port%"
                dbname:   "%database_name%"
                user:     "%database_user2%"
                password: "%database_password2%"
                charset:  UTF8
#                schema_filter: ~^(?!gb_geo)(?=(?!tmp_))(?!weeks)(?!job)(?!daf_check)(?!daf_instance)(?!tdaf)(?!#Tableau)(?!job_category_v2)(?!gb_gtag)~

    orm:
        auto_generate_proxy_classes: "%kernel.debug%"
        default_entity_manager: dashboard
        entity_managers:
            dashboard:
                naming_strategy: doctrine.orm.naming_strategy.underscore_number_aware
                connection: main
                mappings:
                    GoldenBeesDashboardBundle: ~
                    UserBundle: ~
                    AtsBundle: ~
                dql:
                    datetime_functions:
                        date: GoldenBees\DashboardBundle\DQL\Date
                        week: GoldenBees\DashboardBundle\DQL\Week
                        month: GoldenBees\DashboardBundle\DQL\Month
                        quarter: GoldenBees\DashboardBundle\DQL\Quarter
                        year: GoldenBees\DashboardBundle\DQL\Year
                        dayname: GoldenBees\DashboardBundle\DQL\DayName
                        weekday: GoldenBees\DashboardBundle\DQL\WeekDay
                        time: GoldenBees\DashboardBundle\DQL\Time
                        timestampdiff: GoldenBees\DashboardBundle\DQL\TimeStampDiff
                        dateformat: GoldenBees\DashboardBundle\DQL\DateFormat
                        regexp: GoldenBees\DashboardBundle\DQL\Regexp
                        datediff: GoldenBees\DashboardBundle\DQL\DateDiff
                        findinset: GoldenBees\DashboardBundle\DQL\FindInSet
                        round: GoldenBees\DashboardBundle\DQL\Round

            read:
                naming_strategy: doctrine.orm.naming_strategy.underscore_number_aware
                connection: slave
                mappings:
                    GoldenBeesDashboardBundle: ~
                    UserBundle: ~
                    AtsBundle: ~
                dql:
                    datetime_functions:
                        date: GoldenBees\DashboardBundle\DQL\Date
                        week: GoldenBees\DashboardBundle\DQL\Week
                        month: GoldenBees\DashboardBundle\DQL\Month
                        quarter: GoldenBees\DashboardBundle\DQL\Quarter
                        year: GoldenBees\DashboardBundle\DQL\Year
                        dayname: GoldenBees\DashboardBundle\DQL\DayName
                        weekday: GoldenBees\DashboardBundle\DQL\WeekDay
                        time: GoldenBees\DashboardBundle\DQL\Time
                        timestampdiff: GoldenBees\DashboardBundle\DQL\TimeStampDiff
                        date_format: GoldenBees\DashboardBundle\DQL\DateFormat
                        regexp: GoldenBees\DashboardBundle\DQL\Regexp
                        datediff: GoldenBees\DashboardBundle\DQL\DateDiff
                        findinset: GoldenBees\DashboardBundle\DQL\FindInSet
                        round: GoldenBees\DashboardBundle\DQL\Round

# Swiftmailer Configuration
swiftmailer:
    transport:  "%mailer_transport%"
    host:       "%mailer_host%"
    username:   "%mailer_user%"
    password:   "%mailer_password%"
    encryption: "%mailer_encryption%"
    port:       "%mailer_port%"
    spool:     { type: memory }
    stream_options:
        ssl:
            allow_self_signed: true
            verify_peer: false
            verify_peer_name: false
